USE [Database]

IF OBJECT_ID('[Procedures].[delete_product_type]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[delete_product_type];
GO
CREATE PROCEDURE [Procedures].[delete_product_type]
  @product_type_id AS INT
AS
  DELETE FROM [Tables].[product_types]
  WHERE [id] = @product_type_id;
GO